# The Full Pointer
This is a file hosting and URL shortening service that also runs http://0xff.i2p.

Original repo: https://github.com/mia-0/0x0

## Usage
HTTP POST files here:

    curl --proxy 127.0.0.1:4444 -F'file=@yourfile.png' http://0xff.i2p
Or with status bar for large files (larger than the buffer size of your i2p router):

    curl --proxy 127.0.0.1:4444 -# -T yourfile.png http://0xff.i2p | tee
Upload command output:

    command | curl -T - --proxy 127.0.0.1:4444 http://0xff.i2p
Upload command output with stderr:

    command 2>&1 | curl -T - --proxy 127.0.0.1:4444 http://0xff.i2p
Or you can shorten URLs:

    curl --proxy 127.0.0.1:4444 -F'shorten=http://example.com/some/long/url' http://0xff.i2p

## Simple client script
Download:

    curl --proxy 127.0.0.1:4444 http://git.community.i2p/HidUser0/0xFF/raw/branch/master/clients/0xff.sh -o 0xff.sh

Usage:

```shell
u upload    /path/to/local/file        upload local file (128MiB max)
f fromurl   http://example.org/file    upload file from URL (128MiB max)
s shorten   http://example.com/link    link shortener

d download  http://file [output file]  download file from I2P
m message   <no arguments>             create and upload small text file

<any STDOUT> | 0xff.sh                 upload any STDOUT via text file
```
